Bug Hunting Session
Bug 81902 - UI: Navigator-window should be not floating but fixed on left side
Summary: UI: Navigator-window should be not floating but fixed on left side
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.5.2 release
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
: 103579 (view as bug list)
Depends on:
Blocks: Navigator
  Show dependency treegraph
 
Reported: 2014-07-30 06:06 UTC by pascal.fischer.ac
Modified: 2017-10-25 04:23 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description pascal.fischer.ac 2014-07-30 06:06:01 UTC
Problem description: 
Navigator-window should be not floating but fixed on left side

Steps to reproduce:
1. Open the navigator

Current behavior:
It is a floating-window.

Expected behavior:
It should be fixed on the left side, similar to MS-Office. (And it should integrate the search-function, similar to MS-Office.)

              
Operating System: All
Version: 4.2.5.2 release
Comment 1 Yousuf Philips (jay) (retired) 2014-07-31 06:17:32 UTC
Dear Pascal,

As it is possible to drag and drop the navigator window (though i havent been able to do this) or press Ctrl+Shift+F10 to dock it to the left, i dont think there is a necessity to have it non-floating by default. But i will let someone else from the QA or UX teams give their opinion.
Comment 2 Samuel Mehrbrodt (CIB) 2014-07-31 06:28:15 UTC
We have decided to remove that floating window since the navigator is in the sidebar (see bug #73151).
Comment 3 Robinson Tryon (qubit) 2014-12-23 22:09:32 UTC
Whiteboard: Remove 'needQAAdvice' once bug is NEW/RESOLVED.
Comment 4 Yousuf Philips (jay) (retired) 2017-05-03 10:51:01 UTC
*** Bug 103579 has been marked as a duplicate of this bug. ***
Comment 5 Yousuf Philips (jay) (retired) 2017-05-03 10:52:12 UTC
Reopening as the navigator window is never getting rid of and having it docked by default is a good thing.
Comment 6 Pablo AB 2017-05-11 02:02:17 UTC
I completely agree with what the guy of [this video](https://www.youtube.com/watch?v=Tr-xym_NGpI) say: having the navigator docked by default (and even enabled by default like in Google Docs!) is really a great feature and one of the most unknown. Even the Ctrl+Shift+F10 shortcut is pretty unknown.

Probably this goes in the same direction as bug #103030 and [Design Team][1] guidelines.

[1](https://design.blog.documentfoundation.org/2016/07/31/how-the-navigator-may-support-object-handling-in-libreoffice-draw/)
Comment 7 Yousuf Philips (jay) (retired) 2017-05-11 19:02:22 UTC
(In reply to Pablo AB from comment #6)
> I completely agree with what the guy of [this
> video](https://www.youtube.com/watch?v=Tr-xym_NGpI) say: having the
> navigator docked by default (and even enabled by default like in Google
> Docs!) is really a great feature and one of the most unknown.

It isnt enabled by default in Google Docs and i havent seen a navigator in Google Docs. Do you have a screenshot? Navigator is an advanced feature and definitely needs a revamp for it to be useful to the average Joe.

> Even the Ctrl+Shift+F10 shortcut is pretty unknown.

True, though if docking worked correctly on all OSes, moving it to the left edge of the screen would easily dock it, so nobody would need to know the shortcut. The sidebar has a menu item that easily docks and undocks it, which does in handy when this issue arises for it.
Comment 8 Cor Nouws 2017-05-11 19:58:38 UTC
(In reply to Yousuf Philips (jay) from comment #7)
> [...] Navigator is an advanced feature and
> definitely needs a revamp for it to be useful to the average Joe.

off-topic, but I strongly disagree. Though improvements are of course possible, it ís useful for average users.